NOTE: Most of this changelog was retroactive; anything before 0.05 was for sure,
      and 0.05 itself probably was retroactive. Therefore, while they shouldn't
      be inaccurate, they're hardly comprehensive. Keep that in mind.


####====----
##==--
#=-     DAKKA v0.10
#-


BIG CHANGES:

- While the fists are still fists, they've been completely reworked and might as
    well go here. The primary fire throws out weak punches that quickly build up
    to blistering speed, while the alt-fire is a charged punch, which can be
    charged up to three times to loose a bone-splintering one-two-three salvo
    that also hurts everyone near the poor sap you just broke in half.

- The pistols have gotten a complete overhaul! No longer the boring, odd looking
    Berettas you've been looking at since 1994, but instead sleek, sexy chrome-
    black hand cannons that do a far better job convincing you to use them!
    Pistol shots have been buffed to 24 damage from 12, you can mash the fire
    buttons to shoot faster, and now you do a quick reload every 14 shots, or
    whenever there's a break in the shooting. Also, the pistols don't magically
    fire three shots at once with the alt-fire anymore. That was weird.

- The shotgun's alt-fire has evolved from a grenade to a cluster grenade! Not
    only that, but if you go into the options, you can turn these into remote-
    control cluster grenades, detonated with the reload key!

- The super shotgun's alt-fire has gotten a revamp as well. Instead of a spread
    of 20 mini-rockets, it's instead a cloud of explosions that make short work
    of anything within its blast radius! Its reach is less than stellar though,
    so get in close if you want to make the most of it!

- The chaingun's gone. The minigun took its place, which is part of why the dual
    pistols have better accuracy, and why the minigun has two fire rates.

- The minigun's primary fire now has two fire speeds - by default, it fires at a
    still-pretty-fast 1050 RPM, but if you hold down both primary and alt fire,
    it doubles its speed to the 2100 RPM you know and love. It's more accurate
    at 1050 RPM of course, but accuracy doesn't really matter when you shove the
    thing straight into something's face, now does it?

- The minigun's alt-fire now properly sets enemies on fire! The flames will deal
    minimal contact damage that builds up the longer you hold the flamethrower
    on an enemy, and enemies that are on fire take 20 afterburn damage a second
    for as long as they're on fire. Enemies set alight burn for three seconds -
    this is reset with every flame that burns them.

    The upshot of it is that the flamethrower is now an excellent tool for
    wiping out weaker enemies, good at softening up hordes, and still effective
    for melting any single target. It no longer annihilates spider masterminds,
    however.

- The rocket launcher has been replaced with the IMPALER, a triple-barreled
    cannon that buffets your foes with far, far too many rockets. The primary
    fire will unload automatic explosive death upon your enemies, while the alt
    fire... well, it impales things. Then they blow up. Great for pairing up
    stragglers with their friends!

- The plasma rifle and channeler have been dropped, and in their place comes the
    LANCER. The primary fire launches plasma nails that penetrate enemies and
    hit what's behind them, while the alt-fire charges up the weapon to release
    a torrent of lightning that arcs through everything in front of you.

- The BFG has been completely reworked! The primary fire now releases an utterly
    ridiculous torrent of homing plasma bolts that effortlessly carve a path
    through any horde, while the alt-fire releases an entire wall of them, which
    hover in the air for a bit before annihilating your target with unerring
    precision. Truth be told, once you get this thing, the map's as good as won.

- Since the minigun's taken over the chaingun slot, something new needs to
    replace the berserk pickups. And that something is... the vampire sphere!
    For 30 seconds after picking it up, every kill you get heals you! Tougher
    enemies grant more health, as does having less health to begin with,
    encouraging you to stay in the fight longer and kill even faster. And now
    you can't say DAKKA's berserk pickup doesn't heal you.


SMALLER WEAPON CHANGES:

- All the weapons now bob in a bouncier manner.

- Your guns now go click when they run out of ammo (and when they're low on ammo
    if you want), and when you switch to them when they're empty.

- The scrappers now respect pitch better with their spread, and no longer rip
    infinitely. So these no longer annihilate spider masterminds either.

- Scrapper grenades can now bounce once for a short period of time (21 tics).

- Scrapper grenades now automatically detonate after 52 tics.

- The shotgun's primary fire has been buffed to 125 damage, making it capable of
    killing hell knights, arachnotrons, and barons of hell in one less shot.

- You can now switch out of the shotgun's primary/alt fires sooner.

- You also no longer pump a shell/grenade into your shotgun when you're out of
    them. I briefly considered having Dakkaguy load a shell/grenade the moment
    you found one, but then I decided it'd be distracting for no reason.

- The super shotgun's primary fire has a different, beefier sound now.

- You can now fire the SSG after reloading slightly earlier.

- The minigun now does only 12 damage per bullet (down from 20).

- The minigun's flamethrower has undergone a graphical revamp - if you prefer
    the older look, you can switch back to it in the user settings.

- All weapons now work properly when you have infinite ammo (CVar or powerup),
    but no actual ammo in your inventory. They also no longer give scrap, since
    you aren't actually consuming any ammo.


AMMO CHANGES:

- The scrappers now get ammo from all the other guns. While things like grenades
    and rockets realistically shouldn't leave behind any scrap metal, this isn't
    exactly a realistic mod to begin with, and this change encourages variety.

- Pistol ammo now maxes out at 210 (420 with backpack), and you now get 7
    pistol rounds from clips, and 42 from bullet boxes.

- Grenades have had their capacity buffed to 30 (60 with a backpack), and
    they've mostly been shifted over to rocket boxes pickup-wise.

- Gyro shells are gone. The SSG alt-fire uses grenades now.

- Shotguns only give one grenade (none from shotgunners), and SSGs only give two
    grenades.

- Since the chaingun is gone, so are rain grenades.

- Flamer fuel has also been nerfed heavily. It now has a max ammo count of 40,
    and you now only get 6 flamer fuel from bullet boxes and 16 from cell packs.
    This is mainly because of the afterburn mechanic being added.

- Miniguns only give 4 flamer fuel now (2 from chaingunners).

- You now carry up to 120 rockets (240 with a backpack), get 4 rockets from
    small rocket pickups, and get 20 from rocket boxes. This sounds like a buff,
    but the impaler does far less damage per shot than the rocket launcher did;
    it's actually a significant nerf!

- Ammo regen rates have been tweaked. Numbers are how much ammo is given every
    time ammo regen is triggered:
    
    .50AE (pistols):        300 -> 210
    Shells:                  60 -> 40
    Grenades (+ gyro):  15 + 22 -> 16
    5mm (minigun):          400 -> 500
    Flamer fuel:             50 -> 32
    Rockets:                 40 -> 60
    Cells:                  100 -> 160
    Scrap:                   80 -> 90


GENERAL CHANGES:

- DAKKA now replaces player classes again. Dakkaguy stands tall and proud,
    probably on top of a pile of spent minigun casings and dead demons.

- The HUD has been completely redone, because honestly? It was pretty damn ugly.
    The functionality is the same, but it's much sleeker and sharper, and comes
    with better inventory support to boot.

- Sound levels have been looked over and normalized, for the most part.

- There is now an options menu, since there is now a staggering amount of CVars
    and I don't feel like documenting them all in this changelog.

- DAKKA now has help pages, detailing what all the weapons do, as well as the
    vampire sphere and changes made to armor and health. There's also an awful
    story in there. But it's the good kind of awful.

- Bullet tracers no longer inexplicably get dragged down when hitting sky walls.

- Bullet tracers now taper off, although it is fairly hard to notice.



####====----
##==--
#=-     DAKKA v0.06
#-

NEW STUFF:

- Score system! Not just for bragging rights, but also gets for in-game boosts!
    The manner in which you kill shit factors into how many points you get,
    and there's enough modifiers in there for the question to be less "will you
    get any?" and more "can you actually manage to get all of them at once?"

- Minigun! It's also a flamethrower! It's also comparable to the plasma rifle
    damage-wise! It replaces berserk.

- Channeler! Bringing you the most complicated mechanics in Dakka so far in a
    blue-hot chain lightning package!

- New HUD! Now you will always know exactly how much ammo you have, exactly what
    guns you have on you, and what armor type you have. Switch over to fullscreen
    and get a slimmed down version of the hud, with the bulky ammo bar reduced
    down to an Unreal-esque set of ammo bars, which is about as small as the
    Unreal HUD too.

- Bullet tracers! Oh my god so many bullet tracers. If you don't want them, use
    dakka_cl_notracers to turn them off... but who'd do that?


WEAPON BEHAVIOUR JUNK:

- A lot of weapons got their explosions updated so that within a certain radius,
    they do full damage. In effect, their single-target damage is unchanged
    (besides formerly odd cases like the plasma rifle, which did significantly
    less damage if you hit someone diagonally) while their crowd capabilities
    are buffed significantly.

- In light of this, the rocket launcher has had its raw damage nerfed. However,
    with the full damage radius and a 16-unit explosion radius increase, it's
    actually slightly more effective when fighting crowds now! You just can't
    oneshot an archvile with the alt-fire anymore. Sad day.

- Plasma rifle's primary fire has been nerfed down to 60 damage. Now that it
    can actually do that 60 damage reliably, it doesn't need to be buffed
    further just so imps die in one hit.

- Plasma rifle's alt-fire has been buffed up to 120 damage per shot. However,
    its damage radius is only 16 units as opposed to the plasma rifle's 32,
    so it's less effective on crowds. Yes, the plasma ball explosions actually
    do something, especially since both of them do full damage across the full
    explosion area.

- The BFG primary fire is down to 50 cells, and the beam is still fairly narrow.
    It's not a crowd killer as much as it is a single target killer. Use the alt-
    fire for crowds. Or the channeler. Or minigun. Or scrappers. Or goddamn
    anything. This is Dakka. Everything is good for crowds.

- The BFG alt fire has been brought down to 5 cells. Besides that, and adding a
    full damage radius, it's unchanged.

- The SSG can now fire off both shots in the exact same tic! Does this really
    change anything gameplay-wise? No, but it's really loud.

- The shotgun has its base kickback doubled (at 200), and the SSG has had its
    base kickback nearly quadrupled (at 350)! Launch cacodemons across the map!

- The shotgun fires somewhat slower for both fire modes. It's still twice as
    fast as the Doom shotgun, so it's all good.

- Shotgun grenades have a smaller splash radius. This combined with the slowdown
    means you no longer get a rocket launcher with every shotgunner. Just a
    watered down rocket launcher.

- The delay going from primary to alt fire on the pistol(s) is
    ridiculously short now.

- The fist now does 30 damage on primary fire and 100 damage on alt-fire, since
    your berserk pack grew six barrels and a flamethrower.


AMMO STUFF:

- Ammo capacites across the board have changed.
    10mm rounds (pistols):  200 -> 250
    Shells:                  50 -> 100
    Shotgun grenades:        30 -> 20
    Gyro shells:             20 -> 40
    5mm rounds (chaingun):  400 -> 500

- Small shell pickups no longer give grenades. Shotguns still do, though.

- Cell packs now give flamer fuel in addition to cells.


MISC:

- dakka_scrapperstart is now a CVar. You will never guess what it does.

- sv_doubleammo no longer doubles the amount of scrap you get. Use scrapfactor
    for that.

- For some reason higher dakka_scrapfactor values lowered the amount of scrap
    you got? That's dumb. Higher means more scrap now. It goes up to 1000, as
    in you get 1000% the scrap you normally would.




####====----
##==--
#=-     DAKKA v0.05
#-

- SCRAPPER SON. No longer do you have a shitty no-effort chainsaw. Now you have
    a gun that takes the casings and whatnot spent from other guns, and turns
    them into molten hunks of scrap and SHOOTS THEM BACK AT YOUR ENEMIES. Death
    fueling death. Can't really get more metal than that.

- dakka_cl_recoil is in. 0 is no recoil, 100 is full recoil, and it can go up to
    1000 for 10x recoil. It's pretty ridiculous.

- Fixed SSG fire rolling - now you can let off two shots almost instantaneously,
    and rolling on alt-fire actually works.

- SSG now takes time to reload when it's in your pockets, so you can't just
    shove it up your butt every two shots to skip the reload. Use a different
    gun for a couple seconds. Like a rocket launcher.

- BFG beam's damage radius narrowed massively. Now it no longer wrecks
    everything forever.

- BFG alt-fire now uses 8 cells.

- You can now play as other classes with Dakka. This is mostly for laughing at
    not-Dakka classes as you smear them with rocket launchers firing at the
    pistol fire rate.




####====----
##==--
#=-     DAKKA v0.04
#-


0.032 -> 0.04
- ROCKETS EVERYWHERE. Things weren't dying fast enough, so now you get twice as
    many rockets! Even though you don't actually need so many, because...

- NEW AMMO TYPES. You now have shotgun grenades, gyro shells, and rain grenades.
    Now you no longer have sleepless nights over how you fit a rocket into a
    shotgun barrel, and instead have sleepless nights over how you fit a grenade
    into a shotgun barrel. It's progress!

- SSG gets new sounds! Also, 'rolling' the fire buttons in primary fire now
    fires two primary blasts off, rather than primary -> alt.

- BFG beam now uses 80 cells, to balance out the fact that it's, uh, getting up
    there on the "oops I killed the entire map" scale.




####====----
##==--
#=-     DAKKA v0.03
#-

- SSG switched from "faster SSG" to "two shots before every reload". Alt-fire
    changed from dragon's breath to gyrojets.

- Chaingun grenades no longer remote detonated - instead, they shoot up and rain
    grenades down upon thy demons, to smite them justly and nobly.

- Rocket launcher alt-fire slowed down so that the primary fire has a reason to
    exist. Seriously, who ever used not-altfire?

- BFG primary fire is now really long. And it's really fast. And it has a neat
    spiral effect. It's a giant laser beam.




####====----
##==--
#=-     DAKKA v0.02
#-

- Mainly bugfixes as far as I can remember, largely for online play.

- Chaingun grenades were constantly exploding online, and in general desyncing
    like a motherfucker.

- The SSG was broken for some reason. Forgot how.




####====----
##==--
#=-     DAKKA v0.01
#-

- Scrapped all the weapon code from its parent mod, "Better Doom Weapons" (don't
    look for it, it's garbage) beside the fists, and redid it from scratch. The
    emphasis is now on speed of weaponry, and utility in all weapons.

- In general, the primary fires and switch speeds of each weapon got massively
    sped up, and the alt-fires for everything except the pistols were completely
    scrapped and replaced with something else. To summarize:

    Fist:
    - OLD: Simply switched punching hands. Seriously. That was it.
    - NEW: Heavy punch.

    PISTOL:
    - OLD: Shotgun-style burst.
    - NEW: Shotgun-style burst.

    SHOTGUN:
    - OLD: "Slug" shot that was actually a railgun slug.
    - NEW: Grenade.

    SUPER SHOTGUN:
    - OLD: Two "slug" shots.
    - NEW: Wall of ripping fire projectiles. Did not set anything on fire, since
           there was no good way to back then.

    CHAINGUN:
    - OLD: Automatic shotgun-style burst fire.
    - NEW: Remote-detonated grenades.

    ROCKET LAUNCHER:
    - OLD: Preset double-diamond spread of mini-missiles. Could oneshot a baron.
    - NEW: Load up to three rockets into the barrel, then shoot them at your
           enemies like grenades. Tumbling rocket sprites were added later.

    PLASMA RIFLE:
    - OLD: Ripping yellow plasma.
    - NEW: Automatic laser shotgun.

    BFG9000:
    - OLD: BFG2704 fire mode.
    - NEW: Automatic plasma rocket launcher.